VERSION 5.00
Begin VB.Form Form_individualSettings 
   Caption         =   "Individual settings"
   ClientHeight    =   5295
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3780
   LinkTopic       =   "Form1"
   ScaleHeight     =   5295
   ScaleWidth      =   3780
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton CMD_cancel 
      Caption         =   "&Cancel"
      Height          =   315
      Left            =   60
      TabIndex        =   5
      Top             =   4980
      Width           =   615
   End
   Begin VB.CommandButton CMD_ok 
      Caption         =   "&Ok"
      Height          =   315
      Left            =   3120
      TabIndex        =   4
      Top             =   4980
      Width           =   615
   End
   Begin VB.ListBox LISTBOX_Resize 
      Height          =   3210
      Left            =   360
      Style           =   1  'Checkbox
      TabIndex        =   1
      Top             =   1680
      Width           =   3375
   End
   Begin VB.ListBox LISTBOX_Place 
      Height          =   3210
      Left            =   0
      Style           =   1  'Checkbox
      TabIndex        =   0
      Top             =   1680
      Width           =   315
   End
   Begin VB.Label LABEL_currentMode 
      Alignment       =   2  'Center
      Caption         =   "Current mode"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   0
      TabIndex        =   7
      Top             =   840
      Width           =   3855
   End
   Begin VB.Label Label3 
      Caption         =   "Window placement and resizing options for each applications belonging to mode:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   615
      Left            =   60
      TabIndex        =   6
      Top             =   120
      Width           =   3735
   End
   Begin VB.Label Label2 
      Caption         =   "Resize"
      Height          =   255
      Left            =   480
      TabIndex        =   3
      Top             =   1380
      Width           =   555
   End
   Begin VB.Label Label1 
      Alignment       =   1  'Right Justify
      Caption         =   "Place"
      Height          =   255
      Left            =   -60
      TabIndex        =   2
      Top             =   1380
      Width           =   495
   End
End
Attribute VB_Name = "Form_individualSettings"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long


Function Synchronise(lhwndMasterListbox As Long, lhwndSlaveListbox As Long) As Long
    Const LB_GETTOPINDEX = &H18E, LB_SETTOPINDEX = &H197
    
    Synchronise = SendMessage(lhwndSlaveListbox, LB_SETTOPINDEX, SendMessage(lhwndMasterListbox, LB_GETTOPINDEX, 0&, 0&), 0&)
End Function

Private Sub CMD_cancel_Click()
    ContinueSaving = False
    Unload Me
End Sub

Private Sub CMD_ok_Click()
    With ConsoleModes(CurrentConsoleModeIdx)
        For i = 0 To .nProcs - 1
            .procs(i).enablePlacing = LISTBOX_Place.selected(i)
            .procs(i).enableResizing = LISTBOX_Resize.selected(i)
        Next
    End With
    ContinueSaving = True
    Unload Me
End Sub

Private Sub LISTBOX_Place_Scroll()
    Synchronise Me.LISTBOX_Place.hwnd, Me.LISTBOX_Resize.hwnd
End Sub

Private Sub LISTBOX_Resize_Scroll()
    Synchronise Me.LISTBOX_Resize.hwnd, Me.LISTBOX_Place.hwnd
End Sub


Private Sub Form_Load()
    Dim i As Integer
    Dim tmpstr As String * 20
    
    Left = Screen.Width - Width
    Top = Screen.Height - Height - 350
    
    With ConsoleModes(CurrentConsoleModeIdx)
        Call Bytes2String(tmpstr, .name.nam(0), 16)
        LABEL_currentMode.caption = tmpstr
        LISTBOX_Place.Clear
        LISTBOX_Resize.Clear
        For i = 0 To .nProcs - 1
            LISTBOX_Place.AddItem ""
            LISTBOX_Place.selected(i) = True
            LISTBOX_Resize.AddItem .procs(i).exeName
            LISTBOX_Resize.selected(i) = True
        Next
    End With
    
End Sub

