VERSION 5.00
Object = "{3C5F82B2-2B3E-11D1-B429-00AA004115AF}#2.0#0"; "acop.ocx"
Object = "{B6AA8D8E-4F1C-11D7-9E90-00E01898C470}#5.0#0"; "TineStat.ocx"
Object = "{F245102E-F0E2-11D3-847D-00805F710828}#2.2#0"; "Mstprint.ocx"
Object = "{7731F2F2-E815-11D7-B855-000102F13D33}#1.2#0"; "historyViewer.ocx"
Begin VB.Form OrbitFrm 
   Caption         =   "Orbit Display"
   ClientHeight    =   5160
   ClientLeft      =   165
   ClientTop       =   780
   ClientWidth     =   8745
   LinkTopic       =   "Form1"
   ScaleHeight     =   5160
   ScaleWidth      =   8745
   StartUpPosition =   3  'Windows Default
   Begin HistoryViewerOcx.HistoryViewer bpmHistory 
      Height          =   465
      Left            =   7170
      TabIndex        =   3
      Top             =   30
      Width           =   645
      _ExtentX        =   1138
      _ExtentY        =   820
   End
   Begin TineStatus.TineStat TineStat1 
      Height          =   435
      Left            =   7860
      TabIndex        =   2
      Top             =   30
      Width           =   705
      _ExtentX        =   1244
      _ExtentY        =   767
   End
   Begin mst_PrintVb.PrintVb PrintVb1 
      Left            =   6600
      Top             =   30
      _ExtentX        =   767
      _ExtentY        =   767
   End
   Begin ACOPLib.ACOP ybpm 
      Height          =   2175
      Left            =   270
      TabIndex        =   1
      Top             =   2760
      Width           =   8325
      _Version        =   131072
      _ExtentX        =   14684
      _ExtentY        =   3836
      _StockProps     =   47
      ForeColor       =   0
      BackColor       =   16777215
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      XAxisLabel      =   ""
      YAxisLabel      =   ""
      Status          =   ""
      LeadingEdgeColor=   -2147483630
      CursorMarkerColor=   -2147483630
   End
   Begin ACOPLib.ACOP xbpm 
      Height          =   2205
      Left            =   270
      TabIndex        =   0
      Top             =   510
      Width           =   8355
      _Version        =   131072
      _ExtentX        =   14737
      _ExtentY        =   3889
      _StockProps     =   47
      ForeColor       =   0
      BackColor       =   16777215
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      AccessRate      =   "500"
      AccessMode      =   "POLL"
      XAxisLabel      =   ""
      YAxisLabel      =   ""
      Status          =   ""
      LeadingEdgeColor=   -2147483630
      CursorMarkerColor=   -2147483630
   End
   Begin VB.Menu machineSlct 
      Caption         =   "Select Machine"
      Begin VB.Menu machines 
         Caption         =   "HERA P"
         Index           =   0
      End
      Begin VB.Menu machines 
         Caption         =   "HERA E"
         Index           =   1
      End
   End
End
Attribute VB_Name = "OrbitFrm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim idXorbit As Long, idYorbit As Long
Dim xorbit() As Single, yorbit() As Single
Dim xmonitors() As String, ymonitors() As String
Dim machineList_x(1) As String
Dim machineList_y(1) As String
Dim numbpms(1) As Integer

Private Sub Form_Load()

' this information should come out of file ...
machineList_x(0) = "/HERA/HEPBPM/#1"   ' X BPMs PPD offset = 1
machineList_y(0) = "/HERA/HEPBPM/#1" ' Y BPMs PPD offset = 151
numbpms(0) = 141
machineList_x(1) = "/HERA/HeEOrbit/#1"
machineList_y(1) = "/HERA/HeEOrbit/#1"
numbpms(1) = 280

OrbitFrm.Caption = "Orbit Display"
bpmHistory.ViewerCaption = "Orbit Histories"

End Sub
Private Sub FillInObjectParameters(o As ACOP, dn As String, p As String, nms() As String, num As Integer)
Dim pq As PropertyQueryEx
Dim nams() As String, dc As String, dg As String, dm As String
Dim n As Integer

nams = Split(dn, "/")
If Left(dn, 1) = "/" Then ' context given
  dc = nams(1)
  dg = nams(2)
Else
  dg = nams(1)
End If

If GetPropertyInformationEx(dn, p, pq) = 0 Then
  o.ymax = pq.prpMaxValue
  o.ymin = pq.prpMinValue
  o.YAxisLabel = BSTR(pq.prpUnits)
Else
  o.ymax = 50
  o.xmin = -50
End If

If GetEquipmentDeviceNamesFromProperty(dn, p, nms, n) Then
  n = num ' actually, this shouldn't fail, but just give it something
  ReDim nms(num - 1)
  nms(0) = "#0"
End If

o.xmax = num
o.xmin = 0
o.DisplayMode = SimpleHistogram
o.GraphStyle = LIN_LIN
o.deviceContext = dc
o.DeviceGroup = dg
o.deviceName = nms(0)
o.deviceProperty = p
o.accessMode = "POLL"
o.AccessRate = 500
o.AccessProtocol = "TINE"

End Sub
Private Function StartUp(FullDeviceName As String, deviceProperty As String, numbpm As Integer, monitors() As String, orbit() As Single, bpm As ACOP) As Integer
Dim linkid As Long

bpm.CloseLink
DoEvents

FillInObjectParameters bpm, FullDeviceName, deviceProperty, monitors, numbpm

ReDim orbit(numbpm)

linkid = bpm.AttachLink(orbit)
If linkid < 0 Then StartUp = -1 Else StartUp = 0
End Function

Private Sub machines_Click(index As Integer)

If StartUp(machineList_x(index), "ORBIT.X", numbpms(index), xmonitors, xorbit, xbpm) Then MsgBox machineList_x(index) + " cannot be reached"
If StartUp(machineList_y(index), "ORBIT.Y", numbpms(index), ymonitors, yorbit, ybpm) Then MsgBox machineList_y(index) + " cannot be reached"

End Sub

Private Sub xbpm_CursorClick(ByVal ArrayIndex As Long, ByVal Xposition As Double, ByVal Yposition As Double)
'append to history viewer
bpmHistory.SelectAProp xbpm.deviceContext, xbpm.DeviceGroup, xmonitors(ArrayIndex), xbpm.deviceProperty
End Sub

Private Sub xbpm_CursorMove(ByVal ArrayIndex As Long, ByVal Xposition As Double, ByVal Yposition As Double)
'which one is it ? ...
xbpm.ToolTipText = xmonitors(ArrayIndex) + " : " + str(xorbit(ArrayIndex)) + xbpm.YAxisLabel
End Sub

Private Sub xbpm_CursorZoom(ByVal xmax As Double, ByVal xmin As Double, ByVal ymax As Double, ByVal ymin As Double)
'synchronize the zooming
ybpm.SetZoom xmax, xmin, ymax, ymin
End Sub

Private Sub xbpm_Receive(ByVal LinkIndex As Long, ByVal StatusCode As Long)
' new data are there ...
If StatusCode Then Exit Sub
xbpm.ClearScreen
xbpm.Draw xorbit
End Sub

Private Sub ybpm_CursorZoom(ByVal xmax As Double, ByVal xmin As Double, ByVal ymax As Double, ByVal ymin As Double)
'synchronize the zooming
xbpm.SetZoom xmax, xmin, ymax, ymin
End Sub

Private Sub ybpm_CursorClick(ByVal ArrayIndex As Long, ByVal Xposition As Double, ByVal Yposition As Double)
'append to history viewer
bpmHistory.SelectAProp ybpm.deviceContext, ybpm.DeviceGroup, ymonitors(ArrayIndex), ybpm.deviceProperty
End Sub

Private Sub ybpm_CursorMove(ByVal ArrayIndex As Long, ByVal Xposition As Double, ByVal Yposition As Double)
'which one is it ? ...
ybpm.ToolTipText = ymonitors(ArrayIndex) + " : " + str(yorbit(ArrayIndex)) + ybpm.YAxisLabel
End Sub

Private Sub ybpm_Receive(ByVal LinkIndex As Long, ByVal StatusCode As Long)
' new data are there ...
If StatusCode Then Exit Sub
ybpm.ClearScreen
ybpm.Draw xorbit
End Sub

